(*
 * Usefull functions for work with Mizar vocabularies.
 * Date: 2006-10-28
 * Copyright (C) 2006 Michael Nedzelsky (MichaelNedzelsky@yandex.ru)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *)

(* Mizar vocabulary *)
type symbol_qualifier = Predicate | Functor of int | Mode | Structure
  | Selector | Attribute | Left_functor_bracket | Right_functor_bracket

module MapOfString : Map.S with type key = String.t

type t_voc = symbol_qualifier MapOfString.t

(** read_vocabulary voc_dir voc_name returns a map. *)
val read_vocabulary : string -> string -> symbol_qualifier MapOfString.t

(** Returns the map of vocabularies. *)
val read_vct_file :  string -> symbol_qualifier MapOfString.t MapOfString.t
